Subject: Re: linux-next: Tree for November 2 (wireless/wl1271)

From: Luciano Coelho <[email-masked]>
Date: Tue, 03 Nov 2009 08:03:59 +0200

Coelho Luciano (Nokia-D/Helsinki) wrote:
> ext John W. Linville wrote:
>> Helps if I actually Cc: Luca...
> 
> Yes, it does. :) I would see this at some point but CCing me speed things up 
> quite a lot.

BTW, I think we need this for wl1251 as well.  CC'ing Kalle too.

>> On Mon, Nov 02, 2009 at 01:44:49PM -0500, John W. Linville wrote:
>>> On Mon, Nov 02, 2009 at 10:01:35AM -0800, Randy Dunlap wrote:
>>>> Stephen Rothwell wrote:
>>>>> Hi all,
>>>>>
>>>>> Changes since 20091030:
>>>> wl1271 build fails when CONFIG_INET=n.
>>>> Should this driver depend on INET?
>>>>
>>>> Why does this driver, unlike all other wireless drivers,
>>>> want to use register_inetaddr_notifier()?
>>>>
>>>> wl1271_main.c:(.text+0x271052): undefined reference to `unregister_inetaddr_notifier'
>>>> wl1271_main.c:(.text+0x2714d7): undefined reference to `register_inetaddr_notifier'
>>> Yeah, that driver is doing some filtering based on IPv4.
>>>
>>> Luca, is that necessary?  If so, then we need a patch like the one below...?
> 
> Yes, this is necessary.  We are doing ARP filtering according to the IP address 
> of the interface, as you have realized.  Our implementation is rather ugly at 
> the moment, so the plan is to try to get rid of this dependency on INET, but we 
> need it for now.
> 
> Thanks Randy for finding this and thanks John for fixing it.
> 
>>> From ba823accfad68151d80503ff5fb04c049c9eadc2 Mon Sep 17 00:00:00 2001
>>> From: John W. Linville <[email-masked]>
>>> Date: Mon, 2 Nov 2009 13:43:32 -0500
>>> Subject: [PATCH] wl1271: depend on INET
>>>
>>> wl1271_main.c:(.text+0x271052): undefined reference to `unregister_inetaddr_notifier'
>>> wl1271_main.c:(.text+0x2714d7): undefined reference to `register_inetaddr_notifier'
>>>
>>> Driver is doing some filtering based on IP addresses...
>>>
>>> Signed-off-by: John W. Linville <[email-masked]>
>>> ---
>>>  drivers/net/wireless/wl12xx/Kconfig |    1 +
>>>  1 files changed, 1 insertions(+), 0 deletions(-)
>>>
>>> diff --git a/drivers/net/wireless/wl12xx/Kconfig b/drivers/net/wireless/wl12xx/Kconfig
>>> index 33de7fa..785e024 100644
>>> --- a/drivers/net/wireless/wl12xx/Kconfig
>>> +++ b/drivers/net/wireless/wl12xx/Kconfig
>>> @@ -42,6 +42,7 @@ config WL1251_SDIO
>>>  config WL1271
>>>  	tristate "TI wl1271 support"
>>>  	depends on WL12XX && SPI_MASTER && GENERIC_HARDIRQS
>>> +	depends on INET
>>>  	select FW_LOADER
>>>  	select CRC7
>>>  	---help---
>>> -- 
>>> 1.6.2.5
> 
> Acked-by: Luciano Coelho <[email-masked]>
> 

-- 
Cheers,
Luca.